Bug 438968 - Nautilus crashes when browsing a directory containing SVG files with preview
Nautilus crashes when browsing a directory containing SVG files with preview
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-26 05:44 EDT by David Cartwright
Modified: 2015-03-03 17:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-09 21:24:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Cartwright 2008-03-26 05:44:03 EDT
Description of problem:
Use Nautilus (with Preview option turned on) to browse to a directory containing
SVG files, for example, SVG files created in Inkscape.

Typically within a few seconds, Nautilus becomes unresponsive and locks up.

Version-Release number of selected component (if applicable):
Nautilus 2.20.0

How reproducible:
Happens all the time. Fedora Forum Community Manager has confirmed it also
happens on his system.

Steps to Reproduce:
1. Create a directory with a single or multiple SVG file.
2. Have Nautilus preferences set to show File Preview.
3. Browse to directory containing an SVG file(s)
  
Actual results:
Nautilus locks up and has to be forced to quit.

Expected results:
Nautilus displays preview of graphics file(s) and allows normal file management
operations.

Additional info:
The SVG format is the preferred vector format for GNOME and is the default file
format for Inkscape. Therefore full support of SVG files is growing in
importance for Linux desktop usage.

Note You need to log in before you can comment on or make changes to this bug.